﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Data.Services.Client;

namespace SLODataClient
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
        ODataTasks.TaskDBEntities ctx = new ODataTasks.TaskDBEntities(new Uri("http://localhost:2661/TaskDataService.svc"));
        DataServiceCollection<ODataTasks.Task> tasks;

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            var query = from t in ctx.Tasks
                        select t;

            tasks = new DataServiceCollection<ODataTasks.Task>(ctx);
            tasksDataGrid.ItemsSource = tasks;
            tasks.LoadAsync(query);

            // Do not load your data at design time.
            // if (!System.ComponentModel.DesignerProperties.GetIsInDesignMode(this))
            // {
            // 	//Load your data here and assign the result to the CollectionViewSource.
            // 	System.Windows.Data.CollectionViewSource myCollectionViewSource = (System.Windows.Data.CollectionViewSource)this.Resources["Resource Key for CollectionViewSource"];
            // 	myCollectionViewSource.Source = your data
            // }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ctx.BeginSaveChanges(SaveChangesOptions.Batch,
                new AsyncCallback(
                    (i) =>
                    {
                        var response = ctx.EndSaveChanges(i);
                        if (response.BatchStatusCode == 202)
                            MessageBox.Show("Changes saved");

                    }), null);
        }
    }
}
