﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<TaskServiceLibrary.Task>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Index
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Index</h2>

    <% using (Html.BeginForm()) {%>
        <%: Html.ValidationSummary(true) %>
        
        <fieldset>
            <legend>Fields</legend>
            
            <div class="editor-label">
                <%: Html.LabelFor(model => model.Subject) %>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Subject) %>
                <%: Html.ValidationMessageFor(model => model.Subject) %>
            </div>
            
            <div class="editor-label">
                <%: Html.LabelFor(model => model.DueDate) %>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.DueDate, String.Format("{0:g}", Model.DueDate)) %>
                <%: Html.ValidationMessageFor(model => model.DueDate) %>
            </div>
            
            <div class="editor-label">
                <%: Html.LabelFor(model => model.AssignedTo) %>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.AssignedTo) %>
                <%: Html.ValidationMessageFor(model => model.AssignedTo) %>
            </div>
            
            <div class="editor-label">
                <%: Html.LabelFor(model => model.TaskId) %>
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.TaskId) %>
                <%: Html.ValidationMessageFor(model => model.TaskId) %>
            </div>
            
            <p>
                <input type="submit" value="Save" />
            </p>
        </fieldset>

    <% } %>

    <div>
        <%: Html.ActionLink("Back to List", "Index") %>
    </div>

</asp:Content>

