﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TaskServiceLibrary
{
    public interface ITaskRepository
    {
         IQueryable<Task> GetTasks();
         void AddTask(Task newTask);
         void DeleteTask(int toBeDeleted);
         void UpdateTask(Task newTask);

         IQueryable<User> GetUsers();

    }
}
