﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Web;

namespace TaskServiceLibrary
{
    //[ServiceContract]
    //public interface ITaskService
    //{
    //    [OperationContract]
    //    void SubmitTask(Task task);

    //    [OperationContract]
    //    List<Task> GetTasks();

    //    [OperationContract]
    //    List<Task> GetTasksForUser(string userName);
    //}


    [ServiceContract]
    public interface ITaskService
    {
        [OperationContract]
        [WebInvoke(Method="POST", UriTemplate="/tasks")]
        void SubmitTask(Task task);

        [OperationContract]
        [WebGet(UriTemplate="/tasks")]
        List<Task> GetTasks();

        [OperationContract]
        [WebGet(UriTemplate="{userName}/tasks")]
        List<Task> GetTasksForUser(string userName);
    }




}
