﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace TaskServiceLibrary
{
    [DataContract(Namespace="http://www.pluralsight.com/demo/task")]
    public class Task
    {
        public Task()
        {
            TaskId = new Random().Next(1, 500);
        }
        [DataMember]
        public string Subject { get; set; }
        [DataMember]
        public DateTime DueDate { get; set; }
        [DataMember]
        public int AssignedTo { get; set; }  
        [DataMember]
        public int TaskId { get; set; }

        [OnDeserialized]
        public void Deserialized(StreamingContext ctx)
        {
            if(TaskId == 0)
                TaskId = new Random().Next(1, 500); 
        }
    }
}
